package xiangyu

import (
	"eta/eta_bridge/services/xiangyu"
)

// PushIndexDataResp
// @Description: 推送指标信息数据
// @author: Roc
// @datetime 2024-02-28 17:48:01
// @param data xiangyu.PushBaseParamReq
// @return err error
// @return errMsg string
func PushIndexDataResp(data xiangyu.PushBaseParamReq) (err error, errMsg string) {
	//  获取xiangyu token

	errMsg = `同步失败`
	data.TableCode = "CY_DATA_ASSETS_INFO" // 固定字段
	_, err = xiangyu.PushIndexData(data)
	//fmt.Println(resp)

	return
}

// PushEdbValueDataResp
// @Description: 推送指标对应的日期值数据
// @author: Roc
// @datetime 2024-02-29 09:39:07
// @param data xiangyu.PushBaseParamReq
// @return err error
// @return errMsg string
func PushEdbValueDataResp(data xiangyu.PushBaseParamReq) (err error, errMsg string) {
	//  获取xiangyu token

	errMsg = `同步失败`
	data.TableCode = "CY_DATA_ASSETS_DETAIL" // 固定字段
	_, err = xiangyu.PushEdbValue(data)
	//fmt.Println(resp)

	return
}

// PushClassifyDataResp
// @Description: 推送分类数据
// @author: Roc
// @datetime 2024-02-29 09:39:07
// @param data xiangyu.PushBaseParamReq
// @return err error
// @return errMsg string
func PushClassifyDataResp(data xiangyu.PushBaseParamReq) (err error, errMsg string) {
	errMsg = `同步失败`
	data.TableCode = "CY_CATALOG_CLASSIFY" // 固定字段
	_, err = xiangyu.PushClassify(data)
	//fmt.Println(resp)

	return
}

// PushEdbClassifyDataResp
// @Description: 推送指标分类数据
// @author: Roc
// @datetime 2024-02-29 09:39:07
// @param data xiangyu.PushBaseParamReq
// @return err error
// @return errMsg string
func PushEdbClassifyDataResp(data xiangyu.PushBaseParamReq) (err error, errMsg string) {
	errMsg = `同步失败`
	data.TableCode = "CY_CATALOG_INDEX_ASSOCIATE" // 固定字段
	_, err = xiangyu.PushBase(data)
	//fmt.Println(resp)

	return
}
