package crm

import (
	"eta/eta_bridge/global"
	"time"
)

// EtaTrialLoginDurationRecord ETA试用客户登录时长记录表
type EtaTrialLoginDurationRecord struct {
	RecordId   int       `gorm:"primaryKey;column:record_id;type:int(10) unsigned;not null" json:"record_id"`
	UserName   string    `gorm:"column:user_name;type:varchar(128);not null;default:''" json:"user_name"`  // 用户名称
	Mobile     string    `gorm:"column:mobile;type:varchar(16);not null;default:''" json:"mobile"`         // 手机号
	Duration   int       `gorm:"column:duration;type:int(10) unsigned;not null;default:0" json:"duration"` // 登录时长，单位秒
	CreateTime time.Time `gorm:"column:create_time;type:datetime" json:"create_time"`                      // 创建时间
}

func (m *EtaTrialLoginDurationRecord) TableName() string {
	return "eta_trial_login_duration_record"
}

// Create 新增
func (m *EtaTrialLoginDurationRecord) Create() (err error) {
	err = global.MYSQL["hz_crm"].Create(m).Error
	return
}

// Update 更新
func (m *EtaTrialLoginDurationRecord) Update(cols []string) (err error) {
	err = global.MYSQL["hz_crm"].Model(m).Select(cols).Updates(m).Error
	return
}
