package oa

import (
	"eta/eta_bridge/global"
)

type HrmDepartment struct {
	ID              int    `grom:"column:id"`
	DEPARTMENTNAME  string `grom:"column:subcompanyname"`
	SUBCOMPANYID1   int    `grom:"column:companyid"`
	SUPDEPID        int    `grom:"column:supsbucomiD"`
	TLEVEL          int    `grom:"column:TLEVEL"`
	SHOWORDEROFTREE int    `gorm:"column:SHOWORDEROFTREE"`
}

type HrmDepartmentOrm struct {
	Id              int    `orm:"column(ID)"`
	Departmentname  []byte `orm:"column(DEPARTMENTNAME);type(varchar(200))"`
	Subcompanyid1   int    `orm:"column(SUBCOMPANYID1)"`
	Supdepid        int    `orm:"column(SUPDEPID)"`
	Tlevel          int    `orm:"column(TLEVEL)"`
	Showorderoftree int    `orm:"column(SHOWORDEROFTREE)"`
}

func (h *HrmDepartment) TableName() string {
	return "ECOLOGY_TARGET.HRMDEPARTMENT"
}
func GetDepartMentList() (list []HrmDepartment, err error) {
	err = global.OaDbHT.Select("ID,DEPARTMENTNAME,SUBCOMPANYID1,SUPDEPID,TLEVEL,SHOWORDEROFTREE").Where("CANCELED IS NULL").Find(&list).Error
	if err != nil {
		global.FILE_LOG.Error("获取子公司列表失败")
	}

	return
}

//func GetDepartMentListWithOrm() (list []*HrmDepartmentOrm, err error) {
//	o := orm.NewOrm()
//	err = o.Using("default")
//	if err != nil {
//		fmt.Sprintln("Using orm error", err)
//		return nil, err
//	}
//	sql := `select ID,DEPARTMENTNAME,SUBCOMPANYID1,SUPDEPID,TLEVEL,SHOWORDEROFTREE from HRMDEPARTMENT where CANCELED IS NULL`
//	_, err = o.Raw(sql).QueryRows(&list)
//	if err != nil {
//		global.FILE_LOG.Error("获取子公司列表失败")
//	}
//
//	return
//}
