package xiangyu

// PushIndexParamReq
// @Description: 业务报文
type PushIndexParamReq struct {
	SerialID    string                 `json:"serialID" description:"流水号"`
	TableCode   string                 `json:"tableCode" description:"数据表编码"`
	Total       int                    `json:"total" description:"本次落表数据总数"`
	IsEmailWarn int                    `json:"isEmailWarn" description:"是否发送预警邮件，（1-是 0-否）"`
	Data        []PushDataParamDataReq `json:"data" description:"报文体，指标数据列表"`
}

// PushDataParamDataReq
// @Description: 指标数据结构
type PushDataParamDataReq struct {
	SourceIndexCode      string `json:"source_index_code" description:"上游来源指标ID"`
	IndexCode            string `json:"Index_code" description:""`
	IndexName            string `json:"index_name" description:""`
	IndexShortName       string `json:"index_short_name" description:""`
	FrequenceName        string `json:"frequence_name" description:""`
	UnitName             string `json:"unit_name" description:""`
	CountryName          string `json:"country_name" description:""`
	ProvinceName         string `json:"province_name" description:""`
	AreaName             string `json:"area_name" description:""`
	CityName             string `json:"city_name" description:""`
	CountyName           string `json:"county_name" description:""`
	RegionName           string `json:"region_name" description:""`
	CompanyName          string `json:"company_name" description:""`
	BreedName            string `json:"breed_name" description:""`
	MaterialName         string `json:"material_name" description:""`
	SpecName             string `json:"spec_name" description:""`
	MarketName           string `json:"market_name" description:""`
	DerivativeType       string `json:"derivative_type" description:""`
	ContractName         string `json:"contract_name" description:""`
	AuthKindName         string `json:"auth_kind_name" description:""`
	CustomSmallClassName string `json:"custom_small_class_name" description:""`
	AssetBeginDate       string `json:"asset_begin_date" description:""`
	AssetEndDate         string `json:"asset_end_date" description:""`
	CreateUser           string `json:"create_user" description:""`
	IndexCreateTime      string `json:"index_create_time" description:""`
	UpdateUser           string `json:"update_user" description:""`
	DetailUpdateTime     string `json:"detail_update_time" description:""`
	IndexUpdateTime      string `json:"index_update_time" description:""`
	DutyDept             string `json:"duty_dept" description:""`
	BusinessDept         string `json:"business_dept" description:""`
	OrginSource          string `json:"orgin_source" description:""`
	OrginSysSource       string `json:"orgin_sys_source" description:""`
	SysSource            string `json:"sys_source" description:""`
	SourceType           string `json:"source_type" description:""`
	EtlTime              string `json:"etl_time" description:""`
	Status               int    `json:"status" description:""`
}
