package response

import (
	"eta/eta_bridge/models/jiayue"
	"time"
)

// IndexResp 指标响应体
type IndexResp struct {
	Id             int           `description:"指标自增ID" json:"id"`
	IndexCode      string        `description:"指标编码" json:"index_code"`
	IndexName      string        `description:"指标名称" json:"index_name"`
	SourceType     string        `description:"指标来源" json:"source_type"`
	Unit           string        `description:"单位" json:"unit"`
	Frequency      string        `description:"频度" json:"frequency"`
	LastDate       time.Time     `description:"指标最新时间" json:"last_date"`
	LastUpdateTime time.Time     `description:"最新更新时间" json:"last_update_time"`
	Status         int           `description:"指标状态" json:"status"`
	IndexData      []IndexData   `description:"指标数据" json:"index_data"`
	MenuData       IndexMenuData `description:"指标目录信息" json:"menu_data"`
}

// IndexData 指标数据
type IndexData struct {
	Val        float64   `json:"val"`
	DataTime   time.Time `json:"data_time"`
	UpdateTime time.Time `json:"update_time"`
}

// IndexMenuData 指标目录信息
type IndexMenuData struct {
	Id         int    `description:"目录ID" json:"id"`
	Type       string `description:"目录类型" json:"type"`
	Code       string `description:"目录编码" json:"code"`
	Name       string `description:"目录名称" json:"name"`
	Icon       string `description:"目录图标" json:"icon"`
	Sort       int    `description:"排序" json:"sort"`
	ParentId   int    `description:"父级目录ID" json:"parent_id"`
	ParentName string `description:"父级目录名称" json:"parent_name"`
	Path       string `description:"目录全路径" json:"path"`
}

// JiaYuePageIndexResp 指标分页列表响应体
type JiaYuePageIndexResp struct {
	Total int                `description:"数据总量"`
	List  []jiayue.DictIndex `description:"列表数据"`
}
