package routers

import (
	"eta/eta_bridge/controller/index_data"
	"eta/eta_bridge/middleware"
	"github.com/gin-gonic/gin"
)

// InitIndexData 获取指标信息
func InitIndexData(r *gin.RouterGroup) {
	control := new(index_data.JiaYueIndexController)
	group := r.Group("index_data/").Use(middleware.InternalToken())
	group.POST("jiayue/index", control.GetIndex)
	group.POST("jiayue/index_data", control.GetIndexData)
	group.POST("jiayue/page_index", control.GetPageIndex)
	group.POST("jiayue/frequency_list", control.GetIndexFrequency)
	group.POST("jiayue/new_index", control.GetRecentNewIndex)
	group.POST("jiayue/menu_list", control.GetMenuList)
	group.POST("jiayue/build_import_excel", control.BuildImportExcel)

	zhongjiControl := new(index_data.ZhongjiIndexController)
	zhongjiGroup := r.Group("index_data/zhongji/").Use(middleware.InternalToken())
	zhongjiGroup.POST("/smm/list", zhongjiControl.GetIndexList)
	zhongjiGroup.POST("/smm/data", zhongjiControl.GetIndexData)
	zhongjiGroup.POST("/smm/latest", zhongjiControl.GetIndexDataLatest)
}
